#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 glirc
version:              2.39.0.1
visibility:           public
id:                   glirc-2.39.0.1-FHXQNFbiNh260YJibtcC3N
key:                  glirc-2.39.0.1-FHXQNFbiNh260YJibtcC3N
license:              ISC
copyright:            2016-2019 Eric Mertens
maintainer:           emertens@gmail.com
author:               Eric Mertens
homepage:             https://github.com/glguy/irc-core
synopsis:             Console IRC client
description:
    Console IRC client

    glirc is a console IRC client with an emphasis on providing
    dynamic views into the model of your IRC connections.

    <https://github.com/glguy/irc-core/wiki Documentation Wiki>

category:             Network
abi:                  32b9e7276d0b3326e64d2db17d99f30f
exposed:              True
exposed-modules:
    Client.Authentication.Ecdh Client.Authentication.Ecdsa
    Client.Authentication.Scram Client.CApi Client.CApi.Exports
    Client.CApi.Types Client.Commands Client.Commands.Arguments.Parser
    Client.Commands.Arguments.Renderer Client.Commands.Arguments.Spec
    Client.Commands.Certificate Client.Commands.Channel
    Client.Commands.Chat Client.Commands.Connection
    Client.Commands.Exec Client.Commands.Interpolation
    Client.Commands.Operator Client.Commands.Queries
    Client.Commands.Recognizer Client.Commands.TabCompletion
    Client.Commands.Toggles Client.Commands.Types
    Client.Commands.Window Client.Commands.WordCompletion
    Client.Commands.ZNC Client.Configuration
    Client.Configuration.Colors Client.Configuration.Macros
    Client.Configuration.ServerSettings Client.Configuration.Sts
    Client.EventLoop Client.EventLoop.Actions Client.EventLoop.Errors
    Client.EventLoop.Network Client.Hook Client.Hook.DroneBLRelay
    Client.Hook.Matterbridge Client.Hook.Snotice
    Client.Hook.Znc.Buffextras Client.Hooks Client.Image
    Client.Image.Layout Client.Image.LineWrap Client.Image.Message
    Client.Image.MircFormatting Client.Image.PackedImage
    Client.Image.Palette Client.Image.StatusLine Client.Image.Textbox
    Client.Log Client.Mask Client.Message Client.Network.Async
    Client.Network.Connect Client.Options Client.State
    Client.State.Channel Client.State.EditBox
    Client.State.EditBox.Content Client.State.Extensions
    Client.State.Focus Client.State.Network Client.State.Window
    Client.UserHost Client.View Client.View.Cert
    Client.View.ChannelInfo Client.View.Digraphs Client.View.Help
    Client.View.IgnoreList Client.View.KeyMap Client.View.MaskList
    Client.View.Mentions Client.View.Messages Client.View.Palette
    Client.View.RtsStats Client.View.UrlSelection Client.View.UserList
    Client.View.Windows

hidden-modules:
    ContextFilter DigraphQuote Digraphs LensUtils RtsStats StrQuote
    StrictUnit Paths_glirc Build_glirc

import-dirs:          /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/glirc
hs-libraries:         HSglirc-2.39.0.1-FHXQNFbiNh260YJibtcC3N
include-dirs:         /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1/include
includes:             include/glirc-api.h
depends:
    HsOpenSSL-0.11.7.2-AXp4PgwfPwv3pVrH2b6036
    async-2.2.4-8Un4t06UwVDKWC5OsCvAqA
    attoparsec-0.14.4-9IH2L6miCIy2xrqYTi2NtA base-4.15.1.0
    base64-bytestring-1.2.1.0-4eiDBc5nMqA1X3Go5ETdH3
    bytestring-0.10.12.1 config-schema-1.3.0.0-KKrSRRmjntP5gn3mlrtbyS
    config-value-0.8.3-3pmzeYU8Vb25WTAZFoPyxS containers-0.6.4.1
    curve25519-0.2.7-BQm3HdAgFKz31DiJq91FGG directory-1.3.6.2
    filepath-1.4.2.1 free-5.1.9-2iaaYr8htZLAieq9N4ajkw
    githash-0.1.6.2-FsUT5OPpxU68FhRakrOC6l
    hashable-1.4.1.0-1IYtrJkqGO3FBsSvXBzaLr
    hookup-0.7-HVFpwycp1RYBZC5s0V0b9C
    irc-core-2.11-EfLTMospcaSGYACvNltBYR
    kan-extensions-5.2.5-5Nh4r0WE6gE6EF6bTpZNWg
    lens-5.1.1-IekMBpEpAIbC7sbNx14SXT
    network-3.1.2.7-BgmWCPLmmVsKjis2BFXpFm process-1.6.13.2
    psqueues-0.2.7.3-88jNuTuMJnQBYGZPqwNxp2
    random-1.2.1.1-KJ0FCJNKSsMBe9MmB5vC8X
    regex-tdfa-1.3.2-9CrtvCFiWxhJgFAcKxpQiq
    split-0.2.3.5-LKOrts4ugNs7HOmB371KGw stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.19.1-FjtN46r9B8VFoR43GpqwkA
    vector-0.13.0.0-GsrNLADOwIh8THk5NHujPC
    vty-5.37-5qPsqenDMEW2F1yhaIwfuq

haddock-interfaces:   /usr/share/doc/glirc/html/glirc.haddock
haddock-html:         /usr/share/doc/glirc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

